IPETOIPE(1)

NAME
ipetoipe - Convert between Ipe file formats

SYNOPSIS
ipetoipe ( -pdf | -eps | -xml ) { options } input-file [ output-file ]

DESCRIPTION

ipetoipe converts between the three Ipe file formats XML, PDF, and EPS. Options are:

-pdf
    convert to PDF format

-eps
    convert to EPS (encapsulated Postscript) format

-xml
    convert to XML format

-export
    do not include Ipe markup in the output file.
    Warning: this means that Ipe will not be able to read the resulting output file.

-pages from-to
    restrict exporting to PDF to this page range. This implies the -export option.

-view page-view
    only export this single view from the document. This implies the -export option.

-markedview
    create a Postscript/PDF page only for the marked views of marked Ipe pages. This is for instance convenient for making handouts for slides used in a presentation. This implies the -export option.

-runlatex
    run Latex even for XML output. This has the effect of including the dimensions of each text object in the XML file.

-nocolor
    do not use any color commands in Postscript output. This is useful if you are preparing a manuscript for publication where the publisher checks that the figures are grayscale only. Note that this option doesn't actually verify that the figure contains no color (a figure using color processed with this option will cause a Postscript error when displayed).

-nozip
    do not compress streams in PDF or Postscript output.

ENVIRONMENT VARIABLES
ipetoipe respects the following environment variables:

IPELATEXDIR
    the directory where ipetoipe runs Pdflatex.

IPEDEBUG
    set this to 1 for debugging output.

AUTHOR
Otfried Cheong

REPORTING BUGS
Please report bugs using Ipe bugzilla at http://ipe7.sourceforge.net/bugzilla.html

SEE ALSO
Ipe is documented fully in The Ipe Manual, which is available online at http://ipe7.sourceforge.net/manual/manual.html .